W3builders
AOP API

AOP API/Payment Links

Generate Payment Link

POST/finance/documents/{id}/payment-link
JWT bearer

Generate a hosted payment link for a document.

Endpoint

POSThttps://api.w3builders.com/v1/finance/documents/{id}/payment-link

Request body

  • provider: razorpay (default) | stripe
  • amount (optional, defaults to amount_due, then total)
  • Document must not be paid / void / cancelled.
  • Requires the finance plan feature payment_links.

Response parameters

FieldType
successvalue
urlvalue
link_idvalue
providervalue
amountvalue
Generate Payment Link
curl -X POST https://api.w3builders.com/v1/finance/documents/123/payment-link \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{
"provider": "razorpay"
}'
{
"shape": "{ success, url, link_id, provider, amount }"
}
Was this page helpful?